Subject: Re: [Bier] BIER OAM Document Status

From: <[email-masked]>
Date: Thu, 29 Jul 2021 05:14:59 +0800 (CST)

Hi Alvaro,

thank you very much for pointing it to me. Will wait for the WG discussion of the questions to the WG you've raised. I've copied them below. Please find my notes tagged by GIM>>:

Status.  This documents depends Normatively on rfc8321, which is an Experimental RFC.  In general, downward references are possible, but I don't think this is one of those cases.  The Shepherd writeup for rfc8321 [2] states that "the measurement utility of this extension still is to be demonstrated at a variety of scales in a plurality of network conditions."  As far as I can tell, that hasn't been demonstrated, nor specific information about the completion of the experiment was included in the RFC text.  I didn't see the topic of the document status discussed in the WG -- nor am I aware of discussions about the maturity of rfc8321 in the ippm WG.  The result is then that this document should be either Informational or Experimental.

GIM>> Though the BIER WG doesn't have to copy what other groups decide, I would refer to draft-ietf-6man-ipv6-alt-mark that is on the Standards track by 6man WG and in the IESG Evaluation. I know that the 6man WG also discussed the appropriate status for the document, and Giuseppe can give us more detail on what was done to have the draft on the Standards track.

Applicability.  The applicability to p2p/p2mp traffic is not explicitly discussed in rfc8321.  The specific applicability of PNPM to BIER should be clearly considered.

GIM>> Yes, Alternate mariking method in multipoint network is discussed in RFC 8889. Will add the reference.

Relationship to other WG items, e.g., draft-ietf-ippm-oam-requirements. 

GIM>> To the best of my understanding, the WG decided not to publish that informational document.

The attached diff between -05 and the current version -10 reflects all the updates made to address the AD review comments.

Regards,

Greg Mirsky

Sr. Standardization Expert
预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D Institute/Wireline Product Operation Division

E: [email-masked] 
www.zte.com.cn

Original Mail

Sender: AlvaroRetana
To: gregory mirsky10211915;
CC: [email-masked];[email-masked];
Date: 2021/07/27 15:44
Subject: Re: [Bier] BIER OAM Document Status

_______________________________________________
BIER mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bier

Greg:

I know you didn’t ask me, but the intent of sending the document back to the WG is for the WG to discuss the updates (see the link below to the specific issues I want the WG to consider).

Thanks!

Alvaro.

On July 27, 2021 at 5:32:07 PM, [email-masked] ([email-masked]) wrote:

Hi Alvaro,

many thanks for clarifying the status of the draft.

Hi Tony and Greg,

the draft was updated to address AD review comments. Do you feel these changes need a formal presentation to the WG, or can the draft be moved to the second WG LC?

Regards,

Greg Mirsky

Sr. Standardization Expert
预研标准部/有线研究院/有线产品经营部 Standard Preresearch Dept./Wireline Product R&D Institute/Wireline Product Operation Division

E: [email-masked] 
www.zte.com.cn

Sender: AlvaroRetana
To: [email-masked];gregory mirsky10211915;[email-masked];
Date: 2021/07/26 18:05
Subject: Re: [Bier] BIER OAM Document Status

On July 26, 2021 at 7:23:57 PM, [email-masked] wrote:

Hi!

> draft-ietf-bier-pmm-oam - it appears to be marked as "Dead". The authors
> addressed AD review comments, and the updated version is available (not
> expired).

This shows up as "Dead" from the IESG point of view because -06 (which
was the version I returned to the WG) expired: the system then marks
the document as "Dead" (again, from the IESG point of view, not the
WG).

What is needed if for the WG to revisit the document: I returned it
because it needs more WG input, and so that I am not the gating
factor.  I will look at the changes after the document goes back
through the process (WGLC, etc) and is sent back for publication.

Take a look at my comments from 2019-07-02:
https://datatracker.ietf.org/doc/draft-ietf-bier-pmmm-oam/history/

Thanks!

Alvaro.

_______________________________________________
BIER mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bier